<template>

    <v-list-item-group active-class="jardoActive">
        <draggable
            :disabled="enabled"
            v-model="draggables"
            group="sections">
            <template v-if="draggables.length > 0">
                <v-list-item class="pl-10" :to="'#paragraph-' + id"
                             v-for="({id, order, title}) in draggables"
                             :key="order">
                    <v-list-item-title>
                        {{ title }}
                    </v-list-item-title>
                </v-list-item>
            </template>
        </draggable>
    </v-list-item-group>
</template>

<script>
import draggable from "vuedraggable";

export default {
    name: "paragraph-draggable",
    components: {
        draggable
    },
    props: {
        index: {
            type: Number,
            required: true
        },
        lesson: {
            type: Object,
            required: true
        },
        enabled: {
            type: Boolean,
            required: true
        }
    },
    computed: {
        draggables: {
            get: function () {
                return this.lesson.paragraphs
            },
            set: function (newParagraphs) {
                if (newParagraphs.length == this.lesson.paragraphs.length) { // proc drag 'n drop only if paragraph's dragged in same lesson
                    const newLesson = this.lesson
                    newLesson.paragraphs = newParagraphs;

                    this.$emit('sort', {
                        newLesson,
                        index: this.index
                    })
                }
            }
        },
    }
}

</script>

<style>
.jardoActive:before {
    background-color: inherit !important;
}
</style>
